org.apache.tinkerpop.gremlin.process.traversal.util

## Class PureTraversal<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.PureTraversal<S,E>

- All Implemented Interfaces:
    Serializable, Cloneable

      public final class PureTraversal<S,E>
      extends Object
      implements Serializable, Cloneable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureTraversal(Traversal.Admin<S,E> pureTraversal)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PureTraversal<S,E>` | `clone()`
    `boolean` | `equals(Object other)`
    `Traversal.Admin<S,E>` | `get()`
    `Traversal.Admin<S,E>` | `getPure()`
    `int` | `hashCode()`
    `static <S,E> PureTraversal<S,E>` | `loadState(org.apache.commons.configuration2.Configuration configuration, String configurationKey, Graph graph)`
    `void` | `storeState(org.apache.commons.configuration2.Configuration configuration, String configurationKey)`
    `static <S,E> void` | `storeState(org.apache.commons.configuration2.Configuration configuration, String configurationKey, Traversal.Admin<S,E> traversal)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PureTraversal

          public PureTraversal(Traversal.Admin<S,E> pureTraversal)

  - ### Method Detail

    - #### getPure

          public Traversal.Admin<S,E> getPure()

    - #### get

          public Traversal.Admin<S,E> get()

    - #### storeState

          public void storeState(org.apache.commons.configuration2.Configuration configuration,
                                 String configurationKey)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### storeState

          public static <S,E> void storeState(org.apache.commons.configuration2.Configuration configuration,
                                              String configurationKey,
                                              Traversal.Admin<S,E> traversal)

    - #### loadState

          public static <S,E> PureTraversal<S,E> loadState(org.apache.commons.configuration2.Configuration configuration,
                                                           String configurationKey,
                                                           Graph graph)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          public PureTraversal<S,E> clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.